<?php

namespace Database\Seeders\New;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\File;
use Illuminate\Support\Str;

class BrandsSeeder extends Seeder
{
    public function run()
    {
        $datas = json_decode(File::get('database/data/brands.json'));
        $table = 'brands';

        DB::table($table)->truncate();

        foreach ($datas as $data) {
            $name = json_decode($data->name);

            DB::table($table)->insert([
                'id' => $data->id,
                'slug' => Str::slug($name->en ?? $data->code).'_'.$data->id,
                'name' => $name->en,
                'is_visible' => $data->is_blocked,
                'sort_order' => $data->priority,
                'created_at' => $data->created_at,
                'updated_at' => $data->updated_at,
            ]);
        }

        DB::statement("
            SELECT setval('{$table}_id_seq', (SELECT MAX(id) from {$table}))
        ");
    }
}
